repo/gentoo:master commit in: app-emacs/vertico/
Maciej BarÄ <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786282304.c782d9a8e0efc446b79aa75561d7450b5db58d11.xgqt@gentoo> |
commit: c782d9a8e0efc446b79aa75561d7450b5db58d11
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 9 12:12:52 2026 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Aug 9 13:31:44 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c782d9a8
app-emacs/vertico: bump to 2.12
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
app-emacs/vertico/Manifest | 1 +
app-emacs/vertico/vertico-2.12.ebuild | 45 +++++++++++++++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/app-emacs/vertico/Manifest b/app-emacs/vertico/Manifest
index 45cc83be3c4e..2ffd891dfcf4 100644
--- a/app-emacs/vertico/Manifest
+++ b/app-emacs/vertico/Manifest
@@ -1,4 +1,5 @@
DIST vertico-2.10.gh.tar.gz 51359 BLAKE2B 2ec42e0c8493da21421845a183ab94d28f01626ca7801a9ddcfb40bf9effe0707a922fb6cc6cc9ecc56244918e716d2f2b25aa3a7ef1a090cd1d17f5a67c359d SHA512 8fca59a472760071236e9625033eb22642bf7d7f1278cad5757608baf63ddc7d79d786de28beebebe18762d7452187fe272a2d5140540a37b75e3f0abf1289fd
DIST vertico-2.11.gh.tar.gz 51472 BLAKE2B 1cf1c9897a9b2f7f22f7db94f7cf1a4e7d466bfb764f30e0c08bbf5fe5a9e465e136ef6896cc0c267ec36a30e1f34174dc9e775f11e55516330372c414b1af9c SHA512 b81d2c2e9cfff62e5cf57d544fa4232845cc83adefc37043b0a62d30a471a001b267a207d2c85dfb1567ae3da45b40a0177df7b6777bab3c6e73f6dd92a8a92e
+DIST vertico-2.12.gh.tar.gz 51361 BLAKE2B 7a18d5cc73dc6f652d85e47dc0f5bf9f5a13147f05864d93207a879e40137ca1d40d14d9672ff31da7b9d265646c707886bead0dc509edb1f1358b8318b592b3 SHA512 0f197e012b96f5d8e8ad2152f8faa2cd4280dafd66b4623a01bf30292f59e24c98b3521cef0e366bc7de522f6be71aa72b8b2fd249f39b9f517480ddf7eae520
DIST vertico-2.8.gh.tar.gz 51302 BLAKE2B 22a3beec28e7c05577ae822d7c7553d83e3f1a9f5866acf6010512ef1bc6de38aa49cb098a9db9554e2f43daaf3318a76dd06b46bd9ae37101e231562bc8a115 SHA512 eb4917532d2cfd68362b1494a70e3d8024474f706378afdcffae07b036ad98de0bea9551148ba92bf6f073e5c36a8531a36f8dd2f0e2bb905da8190f279be3c5
DIST vertico-2.9.gh.tar.gz 51267 BLAKE2B 3c6592fc6848da4ce8705ded4e21a18c27bf07eab0a13a69a38c7b0e63ceb55fc45b94a6fd5e2649d818dbc6252e1ca42da4c518c6e9088e11bcf0af6f73997f SHA512 f12db2a72c308e04bb7ba87b632ea7149284ffac65beadcd61600871c62d4a4f9be6f67ebfa45dc85f16ce42f13cbc56fa7f49b24f69bed70b8afe8f2e2eef54
diff --git a/app-emacs/vertico/vertico-2.12.ebuild b/app-emacs/vertico/vertico-2.12.ebuild
new file mode 100644
index 000000000000..a6f7f036fe9c
--- /dev/null
+++ b/app-emacs/vertico/vertico-2.12.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+NEED_EMACS="29.1"
+
+inherit elisp
+
+DESCRIPTION="Vertical interactive completion"
+HOMEPAGE="https://github.com/minad/vertico/"
+
+if [[ "${PV}" == *9999* ]] ; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/minad/${PN}"
+else
+ SRC_URI="https://github.com/minad/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+ >=app-emacs/compat-31.0.0.1
+"
+BDEPEND="
+ ${RDEPEND}
+"
+
+DOCS=( CHANGELOG.org README.org )
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+ default
+ mv ./extensions/*.el ./ || die
+}
+
+src_compile() {
+ elisp_src_compile
+ elisp-make-autoload-file
+}